I need virsion for b11

i need virsion 1.5.1

If you need an older version of firmware that’s no longer on the firmware download page, then you’ll need to contact Mimosa support directly.